Subject: Re: [hops] Proposal for HOPS RG

From: Aaron Falk <[email-masked]>
Date: Wed, 24 Jun 2015 16:00:27 -0400

Lars, Mirja, Brian-

Is there any update on this discussion? Has there been a proposal for a
HOPS RG BoF in Prague?

--aaron

On Fri, May 22, 2015 at 10:43 AM, Marc Blanchet <[email-masked]>
wrote:

>
>
> On 22 May 2015, at 10:38, marcelo bagnulo braun wrote:
>
>  I dont think this should be a short lived effort.
>> I mean, at the IETF there is plenty of times that we try to design a
>> protocol or protocol extension and we dont really have the data to perform
>> an informed decision.  think the HOPS RG could be a starting point for many
>> protocol design efforts.
>> For instance, in the TCPINC BOF, the question about whether encrypted TCP
>> connection would fly over different ports was raised and there was no data
>> available. (and it was a fundamental question to understand if the whole
>> effort was worthwhile)
>> Similar questions now are raised in TCPM when designing the extended
>> option format. And again, there is little data around (at least for some
>> aspects of it).
>>
>
> agree.  others I can think of, such as multi path tcp, many rai protocols,
>
>
>  It would be nice to have a place where people that want to work on design
>> can gather data about what works and what doesnt. It would be nice if that
>> was the HOPS RG, i guess.
>>
>> In other words, one way of doing this is for the HOPS RG t be a venue for
>> people with interesting questions and people who want to measure intersting
>> things (or for people with interesting questions and people who has data
>> that can help them answer the questions)
>>
>> So, imho, something like HOPS is really missing in the IETF protocol
>> design approach. But maybe it is just me.
>>
>
> not. count me in! deployability has not been so much considered. Many
> protocols have been designed and then a fallback to http/443 was added
> later which makes the protocol brittle.
>
> Marc.
>
>
>
>>
>>
>>
>> El 22/05/15 a las 16:06, Eggert, Lars escribió:
>>
>>> Hi,
>>>
>>> On 2015-5-22, at 15:46, Mirja Kühlewind <[email-masked]>
>>> wrote:
>>>
>>>> there are people from RIPE who are interested in this work and were
>>>> already at the BarBoF. Further we are also in contact which the people from
>>>> CAIDA. And, as you can see on the agenda, we are also talking to Google and
>>>> Akamai with people who were also at the BarBoF
>>>>
>>> so that's promising, but not actually a large number of folks. I wonder
>>> if a discussion among four groups really needs an RG established. Isn't
>>> this something that might as well be handled  ad hoc?
>>>
>>> A second concern I have is that the topic here is fairly narrow in scope
>>> ("let's discuss data around how bad middleboxes break things"), and rather
>>> short-lived (i.e., once that is done, the group is done). The IRTF tries to
>>> charter groups that are long-lived and try to tackle problem areas of
>>> substantial size, and I wonder if this is the case here.
>>>
>>> (Since I was not at the bar BOF, I may be fundamentally misunderstanding
>>> something about this proposal. I'm only going on what is in the charter
>>> text proposal.)
>>>
>>> Lars
>>>
>>>
>>> _______________________________________________
>>> hops mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/hops
>>>
>>
>> _______________________________________________
>> hops mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/hops
>>
>
> _______________________________________________
> hops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hops
>

---

From: "Eggert, Lars" <[email-masked]>
Date: Wed, 24 Jun 2015 21:02:04 +0000

On 2015-6-24, at 13:00, Aaron Falk <[email-masked]> wrote:
> Is there any update on this discussion?

No.

> Has there been a proposal for a HOPS RG BoF in Prague?

Yes, there is a slot scheduled.

Lars